Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://api.leanpay.fr/v1/public/invoices \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "reference": "<string>",
      "amount": 123,
      "remainingAmount": 123,
      "paidAmount": 123,
      "offsetAmount": 123,
      "sentDate": "2023-11-07T05:31:56Z",
      "issueDate": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "status": "due",
      "upcomingPaymentDate": "2023-11-07T05:31:56Z",
      "dueDates": [
        {
          "dueDate": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "amount": 1,
          "defaultCurrencyAmount": 1
        }
      ],
      "payments": [
        {
          "date": "2023-11-07T05:31:56Z",
          "amount": 1,
          "defaultCurrencyAmount": 1,
          "externalId": "<string>"
        }
      ],
      "creditNoteLinks": [
        {
          "date": "2023-11-07T05:31:56Z",
          "amount": 1,
          "defaultCurrencyAmount": 1,
          "externalId": "<string>",
          "creditNote": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "externalId": "<string>"
          }
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "total": 123,
  "page": 123,
  "pageCount": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

page
integer

The page number to retrieve starting at 1

Response

200 - application/json

List of invoices

data
object[]
count
integer
total
integer
page
integer
pageCount
integer